<!DOCTYPE html>
<html lang="pt-BR">

<head>
	<meta name="description" content="Divisão" />
	<meta charset="utf-8">
	<title>Divisão</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" type="text/css" data-th-href="@{/css/style.css}"/>
</head>

<body>
	<div class="container">
		<h1>Dividir dois números</h1>
		<form class="form" data-th-object="${operacaoDTO}" method="POST" data-th-action="@{/divisao}">
			<label class="form-label" for="valorUm">
				Valor #1:
				<input id="valorUm" type="number" step=".01" data-th-field="*{valorUm}" placeholder="#1" />
			</label>
			<label class="form-label" for="valorDois">
				Valor #2:
				<input id="valorDois" type="number" step=".01" data-th-field="*{valorDois}" placeholder="#2" />
			</label>
			<div class="btn-group">
				<a class="back" data-th-href="@{/}">Voltar</a>
				<input class="btn-form" type="submit" value="Calcular divisão!"/>
			</div>
		</form>
		<div class="resultado" data-th-if="${resultado != null}">
			<p>O resultado é <th:block data-th-text="${resultado}"></th:block></p>
		</div>
		<div class="erro" data-th-if="${erro != null}">
			<p data-th-text="${erro}"></p>
		</div>
	</div>
</body>
</html>